Page MenuHomePhabricator

Page history API
Closed, ResolvedPublic

Description

This epic covers API requirements for the page history interface. We originally had these user stories scheduled later in our development cycle, but we accelerated them so we could help out iOS team.

In terms of API endpoints, it actually consists of:

  • An endpoint for page history, including a filter argument for types of edits
  • An endpoint to get a single revision
  • An endpoint for edit counts
  • An endpoint for diffing two revisions

There are a number of different user stories, since there's a lot of functionality in these endpoints.

Related Objects

StatusSubtypeAssignedTask
Openeprodromou
Resolvedeprodromou
Resolvedeprodromou
ResolvedBPirkle
Resolvedapaskulin
Resolvedeprodromou
ResolvedBPirkle
Resolvedapaskulin
Resolvedeprodromou
Resolvedtstarling
ResolvedPchelolo
Resolvedjijiki
Resolvedeprodromou
Resolvedapaskulin
Resolvednnikkhoui
Resolvednnikkhoui
Resolvedeprodromou
ResolvedBPirkle
Resolvedeprodromou
Resolvedeprodromou
Resolvedapaskulin
Resolvedeprodromou
Resolvedapaskulin
Resolvedeprodromou
Resolvedeprodromou
Resolvedapaskulin
ResolvedBPirkle
ResolvedBPirkle
Resolvedeprodromou
Resolvedapaskulin
ResolvedBPirkle
ResolvedBPirkle
Resolvedeprodromou
Resolvedapaskulin
Resolvedeprodromou
ResolvedBPirkle
Resolvedeprodromou
Resolvedapaskulin
ResolvedClarakosi
Resolvedbrennen
Declinedeprodromou
Resolvedeprodromou
ResolvedBPirkle
Resolvedeprodromou
Resolvedeprodromou
Resolvedeprodromou
ResolvedBPirkle
ResolvedBPirkle
Resolvedeprodromou
ResolvedBPirkle
Resolvedeprodromou
DuplicateBUG REPORTNone

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2019, 3:31 PM
eprodromou updated the task description. (Show Details)Aug 28 2019, 11:27 PM
eprodromou updated the task description. (Show Details)Aug 30 2019, 2:06 PM
eprodromou updated the task description. (Show Details)
WDoranWMF triaged this task as Medium priority.Sep 5 2019, 6:47 PM
JMinor added a subscriber: JMinor.
eprodromou renamed this task from iOS client history API to Page history API.Oct 4 2019, 6:55 PM
eprodromou updated the task description. (Show Details)
eprodromou closed this task as Resolved.Mar 26 2020, 2:08 PM

With all the endpoints done, this epic is done.